/////
// BVView.h
// BatteryView status view
//
// Hideki Naito
// last modified : 1999/04/12
//

#ifndef	_BVVIEW_H
#define	_BVVIEW_H

#include	<View.h>
#include	<Bitmap.h>
#include	<MessageRunner.h>


/////
// define BVView class
class __declspec(dllexport) BVView : public BView
{
private:
	// member
	uint8				ac_line;
	uint8				bt_per;
	float				baseline;
	BMessageRunner		*mr;

	BBitmap				*icon;

	// method
	virtual void		AttachedToWindow();
	virtual void		MessageReceived(BMessage *msg);
	virtual void		Draw(BRect rect);

	void				CheckStatus();

public:
	// method
						BVView(BRect frame);
						BVView(BMessage *msg);
	virtual				~BVView();
	
	static BVView		*Instantiate(BMessage *data);
	virtual status_t	Archive(BMessage *data, bool deep = true) const;
};


#endif	// _BVVIEW_H
